Subject: Re: QOS Routing

From: [email-masked] (Noel Chiappa)
Date: Tue, 9 Apr 96 04:01:22 -0400

From: Zheng Wang <[email-masked]>

    One of the problems with QoS routing is that the search with multiple 
    constraints is hard. In fact, it can be shown that for some
    combination, the problem is NP-complete.

If you insist on an optimal path, yeah. However, lots of NP-problems have
approximate solutions, even solutions within a bounded variance, that are
much easier to compute. Likewise, I suspect the same is true of multi-metric
path selection algorithms - we'll find one that find "pretty good" paths
pretty cheaply.

	Noel